Bug 1770859 - python3-watchdog fails to install in Fedora rawhide
Summary: python3-watchdog fails to install in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-watchdog
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS F32FailsToInstall PYTHON39 1748018 1785974
TreeView+ depends on / blocked
 
Reported: 2019-11-11 12:11 UTC by Miro Hrončok
Modified: 2020-02-11 10:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 10:53:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-11 12:11:48 UTC
python3-watchdog-0.8.3-13.fc32.noarch fails to install in Fedora rawhide:

  nothing provides python3.8dist(pathtools) >= 0.1.1 needed by python3-watchdog-0.8.3-13.fc32.noarch

Comment 1 Miro Hrončok 2019-12-04 16:02:02 UTC
What's the plan? Do you plan to unretire python-pathtools or orphan/retire python-watchdog? This is now blocking other packages.

Comment 2 Pierre-YvesChibon 2019-12-10 09:59:52 UTC
I think we're going with unretire python-pathtools. I'm working with Stephen Coady on this :)

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-12-23 16:03:34 UTC
I'd vote for unretirement, another package now depends on python-watchdog ;)

Comment 4 Miro Hrončok 2020-01-08 12:07:10 UTC
The package also fails to build and it blocks the Python 3.9 rebuild.


Note You need to log in before you can comment on or make changes to this bug.